| Bsoft 2.0.5 Bernard's software package

Classes | Functions
Complex.h File Reference

Class for complex numbers. More...

`#include <cmath>`
`#include <iostream>`

Go to the source code of this file.

## Classes
class | Complex< Type >

## Functions
template<typename Type >
ostream & | operator<< (ostream &output, Complex< Type > &c)
template<typename Type >
Complex< Type > | operator * (const double d, Complex< Type > &c)
template<typename Type >
Complex< Type > | complex_unpack_combined_first (Complex< Type > c1, Complex< Type > c2)
template<typename Type >
Complex< Type > | complex_unpack_combined_second (Complex< Type > c1, Complex< Type > c2)

## Detailed Description

Class for complex numbers.

Author
  Bernard Heymann

Date
  Created: 20050405 Modified: 20130618

Definition in file Complex.h.

## Function Documentation

## ◆ complex_unpack_combined_first()

template<typename Type >

Complex<Type> complex_unpack_combined_first | ( | Complex< Type > | c1,
|  | Complex< Type > | c2
| ) |  |
| inline

Definition at line 136 of file Complex.h.

## ◆ complex_unpack_combined_second()

template<typename Type >

Complex<Type> complex_unpack_combined_second | ( | Complex< Type > | c1,
|  | Complex< Type > | c2
| ) |  |
| inline

Definition at line 142 of file Complex.h.

## ◆ operator *()

template<typename Type >

Complex<Type> operator * | ( | const double | d,
|  | Complex< Type > & | c
| ) |  |
| inline

Definition at line 130 of file Complex.h.

## ◆ operator<<()

template<typename Type >

ostream& operator<< | ( | ostream & | output,
|  | Complex< Type > & | c
| ) |  |

Definition at line 122 of file Complex.h.